<html>
<head>
<title>OGRE: OgrePlatformInformation.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePlatformInformation.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>

<p>
<a href="OgrePlatformInformation_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html">Ogre::PlatformInformation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on.  <a href="classOgre_1_1PlatformInformation.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#e606623294d49af88c609d5855ee418b">OGRE_CPU_UNKNOWN</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#03ad9692ca81e2302d7048c9d7695415">OGRE_CPU_X86</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#98616201d2102b59d9d10666f3ce8762">OGRE_CPU_PPC</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#719f8e35fd54bc7946246292a772e5cc">OGRE_CPU</a>&nbsp;&nbsp;&nbsp;OGRE_CPU_UNKNOWN</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#f405686ffe3dd6aa1b9683a99e5990ed">OGRE_ALIGNED_DECL</a>(type, var, alignment)&nbsp;&nbsp;&nbsp;type var</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#30f03b7a029b1b1303e8f816b68c3368">OGRE_SIMD_ALIGNMENT</a>&nbsp;&nbsp;&nbsp;16</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find perfect alignment (should supports SIMD alignment if SIMD available).  <a href="#30f03b7a029b1b1303e8f816b68c3368"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#e6883e4c8b217447e45bdaec1b1465af">OGRE_SIMD_ALIGNED_DECL</a>(type, var)&nbsp;&nbsp;&nbsp;OGRE_ALIGNED_DECL(type, var, OGRE_SIMD_ALIGNMENT)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#c00688e814459c227d0c68a0f6352da7">__OGRE_HAVE_SSE</a>&nbsp;&nbsp;&nbsp;0</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="c00688e814459c227d0c68a0f6352da7"></a><!-- doxytag: member="OgrePlatformInformation.h::__OGRE_HAVE_SSE" ref="c00688e814459c227d0c68a0f6352da7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __OGRE_HAVE_SSE&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00095">95</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f405686ffe3dd6aa1b9683a99e5990ed"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_ALIGNED_DECL" ref="f405686ffe3dd6aa1b9683a99e5990ed" args="(type, var, alignment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ALIGNED_DECL          </td>
          <td>(</td>
          <td class="paramtype">type,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">var,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">alignment&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;type var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00069">69</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="719f8e35fd54bc7946246292a772e5cc"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU" ref="719f8e35fd54bc7946246292a772e5cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_CPU&nbsp;&nbsp;&nbsp;OGRE_CPU_UNKNOWN          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00057">57</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="98616201d2102b59d9d10666f3ce8762"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_PPC" ref="98616201d2102b59d9d10666f3ce8762" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_CPU_PPC&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00043">43</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e606623294d49af88c609d5855ee418b"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_UNKNOWN" ref="e606623294d49af88c609d5855ee418b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_CPU_UNKNOWN&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00041">41</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="03ad9692ca81e2302d7048c9d7695415"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_X86" ref="03ad9692ca81e2302d7048c9d7695415" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_CPU_X86&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00042">42</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e6883e4c8b217447e45bdaec1b1465af"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_SIMD_ALIGNED_DECL" ref="e6883e4c8b217447e45bdaec1b1465af" args="(type, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_SIMD_ALIGNED_DECL          </td>
          <td>(</td>
          <td class="paramtype">type,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">var&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;OGRE_ALIGNED_DECL(type, var, OGRE_SIMD_ALIGNMENT)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00083">83</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30f03b7a029b1b1303e8f816b68c3368"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_SIMD_ALIGNMENT" ref="30f03b7a029b1b1303e8f816b68c3368" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_SIMD_ALIGNMENT&nbsp;&nbsp;&nbsp;16          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Find perfect alignment (should supports SIMD alignment if SIMD available). 
<p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00078">78</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
